> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Get entitlements for tenant

`GET /api/web/v4/tenants/{tenantid}/entitlements`

Get all entitlements for the specified tenant of the current service provider. Caller requires the SPENTITLEMENTS:VIEW permission from a service provider role.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| tenantid | path | Yes | string | The UUID of the tenant whose entitlements are to be fetched. |

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "type": "array",
  "items": {
    "required": [
      "endDate",
      "id",
      "quantity",
      "startDate",
      "status",
      "type"
    ],
    "type": "object",
    "properties": {
      "additionalFeatures": {
        "type": "object",
        "properties": {
          "enhancedGeoLocation": {
            "type": "boolean",
            "description": "Enhanced geo location additional feature.",
            "example": true
          }
        },
        "description": "Additional feature",
        "title": "AdditionalFeature"
      },
      "contractMode": {
        "type": "string",
        "description": "The contract mode of a tenant, allowable values = 'PRODUCTION', 'TRIAL', example='TRIAL'.",
        "enum": [
          "PRODUCTION",
          "TRIAL",
          "UNKNOWN"
        ]
      },
      "contractNumber": {
        "type": "string",
        "description": "The contract number of this entitlement."
      },
      "customerId": {
        "type": "string",
        "description": "The customer ID."
      },
      "endDate": {
        "type": "string",
        "description": "The end date of this entitlement in UTC time.",
        "format": "date-time",
        "example": "2020-02-18T23:59:59Z"
      },
      "entitlementId": {
        "type": "string",
        "description": "The entitlement ID."
      },
      "flashPass": {
        "type": "object",
        "properties": {
          "consumed": {
            "type": "integer",
            "description": "The entitlements consumed since start date during the entitlement period.",
            "format": "int32"
          },
          "endDate": {
            "type": "string",
            "description": "The date when the entitlement will end.",
            "format": "date-time",
            "example": "2020-02-19T00:00:00Z"
          },
          "quantity": {
            "type": "integer",
            "description": "The number of FlashPass claims allowed during the period.",
            "format": "int32",
            "example": 1000
          },
          "startDate": {
            "type": "string",
            "description": "The date when the entitlement starts.",
            "format": "date-time",
            "example": "2019-02-19T00:00:00Z"
          }
        },
        "description": "MobileFlashPass entitlements of a tenant.",
        "title": "MobileFlashPass"
      },
      "fleetManagement": {
        "type": "object",
        "properties": {
          "addOn": {
            "type": "string",
            "description": "Add on column to store fleetManagementOptIn flag"
          },
          "consumed": {
            "type": "integer",
            "description": "The entitlements consumed since start date during the entitlement period.",
            "format": "int32"
          },
          "endDate": {
            "type": "string",
            "description": "The date when the entitlement will end.",
            "format": "date-time",
            "example": "2020-02-19T00:00:00Z"
          },
          "quantity": {
            "type": "integer",
            "description": "The number of FlashPass claims allowed during the period.",
            "format": "int32",
            "example": 1000
          },
          "startDate": {
            "type": "string",
            "description": "The date when the entitlement starts.",
            "format": "date-time",
            "example": "2019-02-19T00:00:00Z"
          }
        },
        "description": "FleetManagement entitlements of a tenant.",
        "title": "FleetManagement"
      },
      "gracePeriodEndDate": {
        "type": "string",
        "description": "The USERS grace period end date of this entitlement in UTC time.",
        "format": "date-time",
        "example": "2020-02-18T23:59:59Z"
      },
      "id": {
        "type": "string",
        "description": "The unique UUID of this entitlement."
      },
      "issuance": {
        "required": [
          "serviceBundles"
        ],
        "type": "object",
        "properties": {
          "addOn": {
            "type": "string",
            "description": "Add on column to store printer cert flag"
          },
          "consumed": {
            "type": "integer",
            "description": "The entitlements consumed since start date during a Trial period.",
            "format": "int32"
          },
          "endDate": {
            "type": "string",
            "description": "The date when the Trial period will end. This value is not returned if the account status is PRODUCTION.",
            "format": "date-time",
            "example": "2019-02-19T00:00:00Z"
          },
          "quantity": {
            "type": "integer",
            "description": "The number of print jobs allowed during the Trial period. This value is not returned if the account status is PRODUCTION.",
            "format": "int32",
            "example": 25
          },
          "serviceBundles": {
            "type": "array",
            "description": "The service bundles supported.",
            "items": {
              "required": [
                "bundleType"
              ],
              "type": "object",
              "properties": {
                "bundleType": {
                  "type": "string",
                  "description": "Identifies the bundle.",
                  "example": "ADVANCED",
                  "enum": [
                    "ADVANCED",
                    "ESSENTIALS",
                    "PROFESSIONAL",
                    "ENTERPRISE",
                    "API",
                    "STANDARD",
                    "PLUS",
                    "PREMIUM",
                    "CONSUMER"
                  ]
                },
                "rank": {
                  "type": "integer",
                  "description": "A number that allows to sort bundles of the same category by precedence. Read-only currently.",
                  "format": "int32",
                  "example": 1000
                },
                "usageReportId": {
                  "type": "string",
                  "description": "An identifier used to report usage for this bundle.",
                  "example": "SIG_CTR-474988"
                }
              },
              "description": "A bundle identifies a set of capabilities available to a tenant.",
              "title": "ServiceBundle"
            }
          },
          "startDate": {
            "type": "string",
            "description": "The date when the Trial period starts. This value is not returned if the account status is PRODUCTION.",
            "format": "date-time",
            "example": "2019-02-19T00:00:00Z"
          }
        },
        "description": "Issuance entitlements of a tenant.",
        "title": "Issuance"
      },
      "payToPrint": {
        "type": "object",
        "properties": {
          "addOn": {
            "type": "string",
            "description": "Add on column to store PayToPrint addon"
          },
          "consumed": {
            "type": "integer",
            "description": "The entitlements consumed since start date during the entitlement period.",
            "format": "int32"
          },
          "endDate": {
            "type": "string",
            "description": "The date when the entitlement will end.",
            "format": "date-time",
            "example": "2020-02-19T00:00:00Z"
          },
          "quantity": {
            "type": "integer",
            "description": "The number of PayToPrint prints allowed during the period.",
            "format": "int32",
            "example": 1000
          },
          "startDate": {
            "type": "string",
            "description": "The date when the entitlement starts.",
            "format": "date-time",
            "example": "2019-02-19T00:00:00Z"
          }
        },
        "description": "PayToPrint entitlements of a tenant.",
        "title": "PayToPrint"
      },
      "printer": {
        "type": "object",
        "properties": {
          "consumed": {
            "type": "integer",
            "description": "The entitlements consumed since start date during the entitlement period.",
            "format": "int32"
          },
          "endDate": {
            "type": "string",
            "description": "The date when the entitlement will end.",
            "format": "date-time",
            "example": "2020-02-19T00:00:00Z"
          },
          "quantity": {
            "type": "integer",
            "description": "The number of FlashPass claims allowed during the period.",
            "format": "int32",
            "example": 1000
          },
          "startDate": {
            "type": "string",
            "description": "The date when the entitlement starts.",
            "format": "date-time",
            "example": "2019-02-19T00:00:00Z"
          }
        },
        "description": "Printer entitlements of a tenant.",
        "title": "PrinterEntitlement"
      },
      "quantity": {
        "type": "integer",
        "description": "The quantity of this entitlement.",
        "format": "int32",
        "example": 200
      },
      "remaining": {
        "type": "integer",
        "description": "The unused quantity of this entitlement (USERS type only).",
        "format": "int32",
        "example": 37
      },
      "smartLoginEnabled": {
        "type": "boolean",
        "description": "Whether Smart Card Smart Login is enabled or not."
      },
      "smsVoice": {
        "type": "object",
        "properties": {
          "allotment": {
            "type": "integer",
            "description": "The number of entitlements allotted to the current account.  If the account is an SP then entitlements can be allocated to child accounts.",
            "format": "int32",
            "example": 400
          },
          "consumed": {
            "type": "integer",
            "description": "The entitlements consumed since start date during the entitlement period.",
            "format": "int32"
          },
          "endDate": {
            "type": "string",
            "description": "The date when the entitlement will end.",
            "format": "date-time",
            "example": "2020-02-19T00:00:00Z"
          },
          "gracePeriodEndDate": {
            "type": "string",
            "description": "The date when the grace period for the entitlement will end.",
            "format": "date-time",
            "example": "2020-02-19T00:00:00Z"
          },
          "overageType": {
            "type": "string",
            "description": "The overage type of this entitlement.",
            "example": "YES",
            "enum": [
              "YES",
              "NO",
              "UNLIMITED"
            ]
          },
          "quantity": {
            "type": "integer",
            "description": "The number of SMS/Voice credits allowed during the period.",
            "format": "int32",
            "example": 1000
          },
          "renewalQuantity": {
            "type": "integer",
            "description": "The number of SMS/Voice credits allowed when the entitlement is renewed.",
            "format": "int32",
            "example": 1000
          },
          "startDate": {
            "type": "string",
            "description": "The date when the entitlement starts.",
            "format": "date-time",
            "example": "2019-02-19T00:00:00Z"
          }
        },
        "description": "Sms/Voice entitlements of a tenant.",
        "title": "SmsVoice"
      },
      "startDate": {
        "type": "string",
        "description": "The start date of this entitlement in UTC time.",
        "format": "date-time",
        "example": "2019-02-19T00:00:00Z"
      },
      "status": {
        "type": "string",
        "description": "The status of this entitlement.",
        "enum": [
          "ACTIVE",
          "INACTIVE",
          "TERMINATED"
        ]
      },
      "subscriptionLineId": {
        "type": "string",
        "description": "The subscription line ID."
      },
      "type": {
        "type": "string",
        "description": "The type of this entitlement.",
        "enum": [
          "USERS",
          "TRANSACTIONS"
        ]
      },
      "userBundles": {
        "type": "array",
        "description": "The entitlement bundles that defines the set of features available for authentication accounts.",
        "items": {
          "required": [
            "bundleType"
          ],
          "type": "object",
          "properties": {
            "bundleType": {
              "type": "string",
              "description": "Identifies the bundle.",
              "example": "ADVANCED",
              "enum": [
                "ADVANCED",
                "ESSENTIALS",
                "PROFESSIONAL",
                "ENTERPRISE",
                "API",
                "STANDARD",
                "PLUS",
                "PREMIUM",
                "CONSUMER"
              ]
            },
            "rank": {
              "type": "integer",
              "description": "A number that allows to sort bundles of the same category by precedence. Read-only currently.",
              "format": "int32",
              "example": 1000
            },
            "usageReportId": {
              "type": "string",
              "description": "An identifier used to report usage for this bundle.",
              "example": "SIG_CTR-474988"
            }
          },
          "description": "A bundle identifies a set of capabilities available to a tenant.",
          "title": "ServiceBundle"
        }
      },
      "usersBillingType": {
        "type": "string",
        "description": "The billing type for user entitlements. Defaults to PRE_PAID if not provided.",
        "example": "PRE_PAID",
        "enum": [
          "PRE_PAID",
          "PAY_PER_USE"
        ]
      }
    },
    "title": "Entitlement"
  }
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "SPENTITLEMENTS:VIEW"
    ]
  }
]
```
